Package org.apache.sling.distribution.serialization

## Class DistributionExportFilter

- java.lang.Object
- - org.apache.sling.distribution.serialization.DistributionExportFilter

    public class DistributionExportFilter
    extends Object

A filter is responsible for storing information about which resources / attributes should be serialized.

### Nested Class Summary

Nested Classes
`static class` `DistributionExportFilter.TreeFilter` a filter is responsible for finding the resources that should be serialized unders a certain path

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DistributionExportFilter` `createFilter​(org.apache.sling.distribution.DistributionRequest distributionRequest, NavigableMap<String,​List<String>> nodeFilters, NavigableMap<String,​List<String>> propertyFilters)` create a filter based on a request and global node and property filters
`@NotNull Set<DistributionExportFilter.TreeFilter>` `getNodeFilters()`
`@NotNull DistributionExportFilter.TreeFilter` `getPropertyFilter()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getNodeFilters

    @NotNull
    public @NotNull Set<DistributionExportFilter.TreeFilter> getNodeFilters()

#### getPropertyFilter

    @NotNull
    public @NotNull DistributionExportFilter.TreeFilter getPropertyFilter()

#### createFilter

    public static DistributionExportFilter createFilter​(org.apache.sling.distribution.DistributionRequest distributionRequest,
                                                        NavigableMap<String,​List<String>> nodeFilters,
                                                        NavigableMap<String,​List<String>> propertyFilters)

create a filter based on a request and global node and property filters

Parameters:
  `distributionRequest` - the request
  `nodeFilters` - the node level filters
  `propertyFilters` - the property level filters
Returns:
  a filter

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`